﻿<Graph ClassName="PCProdAttributeMaint" Source="#CDATA" IsNew="True" FileType="NewGraph">
    <CDATA name="Source"><![CDATA[using System;
using PX.Data;

namespace ReqQtyCalculator
{
	public class PCProdAttributeMaint : PXGraph<PCProdAttributeMaint>
	{
		public PXSave<PCProdAttribute> Save;
		public PXCancel<PCProdAttribute> Cancel;

		[PXImport(typeof(PCProdAttribute))]
		public PXSelect<PCProdAttribute> Attributes;
		public PXSelect<
			PCProdInventoryAnswer,
			Where<PCProdInventoryAnswer.prodCalcID, Equal<Required<PCProdInventoryAnswer.prodCalcID>>>>
			ProdAnswerSelect;

		#region Event Handlers
		public void PCProdAttribute_RowDeleting(PXCache cache, PXRowDeletingEventArgs e)
		{
			var row = (PCProdAttribute)e.Row;
			if (row == null) return;

			PCProdInventoryAnswer answer = ProdAnswerSelect.Select(row.ProdCalcID);

			if (answer != null)
				throw new PXException("This attribute is being used in stock items. It cannot be deleted.");
		}

		public void PCProdAttribute_RowSelected(PXCache cache, PXRowSelectedEventArgs e)
		{
			var row = (PCProdAttribute)e.Row;
			if (row == null) return;

			PCProdInventoryAnswer answer = ProdAnswerSelect.Select(row.ProdCalcID);

			if (answer != null)
				PXUIFieldAttribute.SetEnabled<PCProdAttribute.prodCalcID>(cache, row, false);
		}
		#endregion
	}
}]]></CDATA>
</Graph>